/*
* @Author: Rot
* @Date:   2017-11-06 01:00:28
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-15 23:14:48
*/
header 
{
    max-width: var(--ge-main-small-width);
}
.ge-user-avatar {
    width: 62px;
    height: 62px;
}
.ge-top-8 { padding-top: 8px; }
.ge-clap-flex { display: flex; align-items: center; }
.ge-header {
    padding-top: 32px;
    padding-bottom: 10px;
}
.ge-flex.ge-center { align-items: center; }
.ge-comment-container .ge-icon { fill: var(--ge-primary-text-color); transition: fill .3s; -webkit-transition: fill .3s; }
.ge-comment-container button:hover .ge-icon, a:hover .ge-icon { fill: var(--ge-primary-text-dark-color); }
.ge-content, .ge-top-24 { margin-top: 24px; }
.ge-time {
    padding-top: 4px;
}
.ge-user-suggest ge-user { display: block; }
.ge-user-suggest ge-user .ge-name { font-size: inherit; }
.ge-user-description { padding-top: 8px; padding-left: 76px; }
.ge-user-space { padding-top: 20px; padding-bottom: 20px; }
.ge-user-suggest img { max-width: 64px; }
ge-user {     display: flex;
    justify-content: flex-start;
    align-items: center; }
.ge-border-box { border: 1px solid var(--ge-primary-border-color) }
.ge-comment-container { border-left: 1px solid var(--ge-primary-border-color); border-right: 1px solid var(--ge-primary-border-color); }
ge-mode {
    position: relative;
}
.ge-claps[clap-data="1"] { border-color: var(--ge-primary-color); }
.ge-absolute { display: none !important; }
.ge-tag {  
    background-color: rgba(0,0,0,.05);
    color: rgba(0,0,0,.68);
    border-radius: 2px;
    margin-right: 4px;
    margin-right: 8px;
    margin-bottom: 8px;
    border-radius: 3px;
    display: inline-block;
    transition: all .15s ease-in-out;
}
[data-user="1"] .ge-icon { fill: var(--ge-primary-color); }
.ge-clap-number {
    margin-bottom: 8px;
    color: var(--ge-primary-text-color);
}
.ge-comment-reply section:last-child { border-bottom: 0; }
.ge-top-16 { padding-top: 16px; }
.ge-tag a {
	padding: 5px 10px;
	font-size: 12px;
    text-transform: uppercase;
    line-height: 19px;
    display: block;
}
.ge-comment-reply { padding-left: 62px; }
.ge-comment-reply .ge-comment-box { padding-left: 0; }
.ge-tag:hover {
	color: #0089ef;
    background-color: #cee0ed;
    border-color: rgba(0, 0, 0, 0);
}
section .ge-comment-box { padding-left: 62px;  }
.ge-article-tags { padding-bottom: 10px; margin-top: 12px; }
.ge-social a { padding-right: 16px; }
.ge-claps g { fill: var(--ge-primary-color); }
.ge-claps { border: 1px solid rgba(0,0,0,.15); border-radius: 100%; display: block; color: var(--ge-primary-color); width: 60px; height: 60px; -webkit-transition: .1s background-color,.1s border-color,.1s color,.1s fill;transition: .1s background-color,.1s border-color,.1s color,.1s fill;}
.ge-claps .ge-svg { color: var(--ge-primary-color); fill: var(--ge-primary-color); height: 100%; }
.ge-claps:hover { border-color: var(--ge-primary-color);  }
.ge-svg { -webkit-transition: .1s background-color,.1s border-color,.1s color,.1s fill; transition: .1s background-color,.1s border-color,.1s color,.1s fill; }
.ge-claps-animation { -webkit-animation: pulse-shadow 3s infinite; animation: pulse-shadow 3s infinite; }
.ge-socials { display: flex; height: 60px; align-items: center; }
.ge-bottom-20 { margin-bottom: 20px; }
.ge-top { padding-top: 20px; margin-top: 10px; }

.ge-vote-absolute { position: fixed; top: 320px; display: none; }

@media (min-width: 742px)
{
    .ge-vote-absolute {
        left: 87px; 
        display: block;
    }
}

@media (min-height: 630px) and (min-width: 1294px)
{
    .ge-vote-absolute {
        left: 187px; 
        display: block;

    }
}

@media (min-height: 980px) and (min-width: 1720px)
{
    .ge-vote-absolute {
        left: 187px; 
        display: block;
        
    }
}

.ge-vote-absolute ul { display: block; }
.ge-vote-absolute a { padding-right: 0; display: block; }
.ge-vote-absolute .ge-social { margin-top: 16px; margin-bottom: 16px; }
.ge-vote-absolute .ge-social a { width: 60px; text-align: center; }
.ge-number-right a { display: inline-block; }
.ge-number-right > div { display: inline-block; margin-bottom: 0; margin-left: 12px; }
.article-item { float: left; width: 33.33333%; padding-left: 16px; }
.article-item ge-image a { position: inherit; }
.article-item ge-image .ge-real { height: 104px; }
.article-item ge-image { position: relative; overflow: hidden; }
.article-description  { display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical;  overflow: hidden; text-overflow: ellipsis; padding-top: 8px; color: var(--ge-primary-text-color);}
.article-info { height: 162px; }
.flex-mode { -ms-flex: 1 1 auto;flex: 1 1 auto;}
.absolute-full { position: absolute; top: 0; left: 0; bottom: 0; right: 0;}
.flex-content { display: -ms-flexbox; display: flex; -ms-flex-direction: column; flex-direction: column; -ms-flex-pack: center; justify-content: flex-start;}
.ge-ver-16 { padding-top: 16px; padding-bottom: 16px; }
.ge-smaill-width { width: var(--ge-main-small-width); margin: 0 auto; }
.ge-article-box { -webkit-transition: box-shadow ease 100ms; transition: box-shadow ease 100ms; border: 0;border-radius: 2px; box-shadow: 0 2px 4px rgba(0,0,0,0.1), 0 -1px 1px rgba(0,0,0,0.05); }
.ge-article-space { padding-top: 32px; padding-bottom: 32px; }
@keyframes pulse-shadow {
	0% {
		-webkit-box-shadow: 0 0;
		box-shadow: 0 0;
	}
	30% {
		-webkit-box-shadow: 0 0;
		box-shadow: 0 0;
	}
	80% {
		-webkit-box-shadow: 0 0 5px 10px rgba(255,255,255,0);
		box-shadow: 0 0 5px 10px rgba(255,255,255,0);
	}
	100% {
		-webkit-box-shadow: 0 0 0 0 rgba(255,255,255,0);
		box-shadow: 0 0 0 0 rgba(255,255,255,0);
	}
}
.ge-extend { background-color: #FAFAFA; margin-top: 20px}
.ge-white { background-color: white; color: black; }
.ge-box {  box-shadow: 0 2px 4px rgba(0,0,0,0.1), 0 -1px 1px rgba(0,0,0,0.05); }
.ge-padding1620 { padding: 16px 20px; }
.ge-comment-description { font-size: 15px; color: var(--ge-primary-text-color); cursor: text; }
.ge-comment-box { user-select: none; position: relative; }
.ge-height160 { min-height: 128px; padding-top: 8px; }
.ge-top-12 { margin-top: 12px; }
.ge-comment-publish { border: 1px solid var(--ge-primary-color); color: var(--ge-primary-color); margin-right: 16px; }
.ge-comment-publish + button { border: 1px solid var(--ge-primary-text-color); color: var(--ge-primary-text-dark-color) }
main-content .ge-button { padding-left: 16px; padding-right: 16px; height: 37px; border-radius: 4px;  }
.ge-response h6 { margin-bottom: 16px; }
.ge-response { padding-top: 16px; }
.ge-bottom-32 { padding-bottom: 32px; }
.ge-bottom-24 { padding-bottom: 24px; }
.ge-user-comment { padding-top: 5px; margin-bottom: 15px; }
.ge-comment-content { padding-bottom: 8px; }
.ge-comment-action { padding-top: 8px; }
.ge-right-8 { padding-right: 8px; }
a:active .ge-icon, button:active .ge-icon {
    animation: Pulse 250ms;
    -webkit-animation: Pulse 250ms;
}
.ge-text-box { width: 600px; min-height: 19px; padding: 8px; }
.ge-svg.ge-icon { display: flex; }
.ge-icon {
    display: inline-block;
}
section .ge-send { display: block; }
.ge-send { position: absolute; right: 0; bottom: 2px; display: none;}

.ge-send span { fill: var(--ge-primary-text-color) }

.ge-send:hover span { fill: var(--ge-primary-text-dark-color) }

.ge-comment-option-button { display: none; padding-right: 10px; }
.ge-comment-option-button span { fill: var(--ge-primary-text-color) }
.ge-comment-option-button:hover span { fill: var(--ge-primary-text-dark-color) }
.ge-padding1620:hover .ge-comment-option-button { display: block; }
.ge-vote-absolute .ge-google .ge-icon { position: relative; left: 5px; }
.ge-comment-options { position: absolute; display: none; right: -16px; top: 32px;}
.ge-comment-option a { padding: 8px 16px; display: block; }
.ge-comment-options.ge-block { display: block; }
.ge-block + .ge-comment-option-button { display: block; }
.ge-shadow {     border: 1px solid hsl(0, 0%, 77%); box-shadow: 0 0 15px rgba(0,0,0,.18); }
.ge-open-reply-comment { padding-top: 8px; padding-bottom: 8px; }
.ge-reply-counter { margin-top: 8px; transition: padding-left .2s; -webkit-transition: padding-left .2s;}
.ge-comment-action button + span { padding-left: 8px; }
.ge-left-62 { padding-left: 62px; }
@keyframes Pulse
{
  0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        fill: #000;
    }

    15% {
        -webkit-transform: scale(.9);
        transform: scale(.9);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        fill: #000;
    }  
}
    